Debian Bug report logs - #493238
initramfs-tool: wrong synopsis and usage message

version graph

Package: initramfs-tools; Maintainer for initramfs-tools is Debian kernel team <debian-kernel@lists.debian.org>; Source for initramfs-tools is src:initramfs-tools.

Reported by: Jens Seidel <jensseidel@users.sf.net>

Date: Fri, 1 Aug 2008 14:00:01 UTC

Severity: normal

Tags: patch

Fixed in version initramfs-tools/0.92f

Done: maximilian attems <maks@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#493238; Package initramfs-tool. Full text and rfc822 format available.

Acknowledgement sent to Jens Seidel <jensseidel@users.sf.net>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jens Seidel <jensseidel@users.sf.net>
To: submit@bugs.debian.org
Subject: initramfs-tool: wrong synopsis and usage message
Date: Fri, 1 Aug 2008 15:51:58 +0200
Package: initramfs-tool
Version: 0.92e
Tags: patch

Hi,

I tried to create an initrd and got:

debian:~# mkinitramfs 2.6.26

Usage: /usr/sbin/mkinitramfs [OPTION]... <-o outfile> [version]

Options:
  -d confdir  Specify an alternative configuration directory.
  -k          Keep temporary directory used to make the image.
  -o outfile  Write to outfile.
  -r root     Override ROOT setting in mkinitrd.conf.

See mkinitramfs(8) for further details.


Mhm, strange ... I opened mkinitramfs(8) which advises:

mkinitramfs [-d confdir] [-k] [-o outfile] [-r root] [-v] [version]

Nevertheless it seems that "-o outfile" is *not* optional and required.
Also in the Usage line I don't know how to parse "<-o outfile>". Why do you use <>?

I suggest to change the manpage to
mkinitramfs [-d confdir] [-k] -o outfile [-r root] [-v] [version]
and the Usage line to
Usage: /usr/sbin/mkinitramfs [OPTION]... -o outfile [version]

Jens




Bug reassigned from package `initramfs-tool' to `initramfs-tools'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Fri, 01 Aug 2008 17:57:03 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jens Seidel <jensseidel@users.sf.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 493238-close@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: 493238-close@bugs.debian.org
Subject: Bug#493238: fixed in initramfs-tools 0.92f
Date: Tue, 12 Aug 2008 09:47:04 +0000
Source: initramfs-tools
Source-Version: 0.92f

We believe that the bug you reported is fixed in the latest version of
initramfs-tools, which is due to be installed in the Debian FTP archive:

initramfs-tools_0.92f.dsc
  to pool/main/i/initramfs-tools/initramfs-tools_0.92f.dsc
initramfs-tools_0.92f.tar.gz
  to pool/main/i/initramfs-tools/initramfs-tools_0.92f.tar.gz
initramfs-tools_0.92f_all.deb
  to pool/main/i/initramfs-tools/initramfs-tools_0.92f_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 493238@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@debian.org> (supplier of updated initramfs-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 12 Aug 2008 11:09:11 +0200
Source: initramfs-tools
Binary: initramfs-tools
Architecture: source all
Version: 0.92f
Distribution: unstable
Urgency: medium
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Changed-By: maximilian attems <maks@debian.org>
Description: 
 initramfs-tools - tools for generating an initramfs
Closes: 490875 493238 494027 494257 494433
Changes: 
 initramfs-tools (0.92f) unstable; urgency=medium
 .
   [ maximilian attems ]
   * mkinitramfs: only lvm2 initramfs has busybox dep. (closes: #490875)
   * mkinitramfs: Fix usage and man outfile arg is not optional.
     (closes: #493238)
   * preinst fix vol_id path. (closes: #494433)
   * update-initramfs: run_bootloader() invoke flash-kernel and glantank-
     update-kernel in order to have latest initramfs flashed on triggered
     update. Thanks to Joey Hess <joeyh@debian.org>.
   * debian/control: Newer standards version without changes.
 .
   [ Chris Lamb ]
   * make log_begin_msg not emit trailing newline (closes: #494257)
 .
   [ Martin Michlmayr ]
   * MODULES=dep boot fix for Orion. (closes: #494027)
Checksums-Sha1: 
 ab2beff55de10868126adc5d6c78b576960f3dc0 1004 initramfs-tools_0.92f.dsc
 ad5e9b9a909b67826312bbe0b7b5f5f634677dff 66586 initramfs-tools_0.92f.tar.gz
 e7a565d10f14b11a4ddfee0947d569ce9e90f7c2 73516 initramfs-tools_0.92f_all.deb
Checksums-Sha256: 
 1aa3b9bf25bcb12566aae815a31004d22fbeb1aeb7c16bce8e9e13f0521f69bb 1004 initramfs-tools_0.92f.dsc
 2444485ee4734068f2d9a2b3ae904f479954958d16fea5fdf58f4d73ce1b99e4 66586 initramfs-tools_0.92f.tar.gz
 4f7bc9c8234196f39ca5e3c4cce898461b67ec250d4210d244d6082757014251 73516 initramfs-tools_0.92f_all.deb
Files: 
 5fa85bead74fbaaa951e67c67fbef68e 1004 utils optional initramfs-tools_0.92f.dsc
 2484226382c931de4a144b5c954e7831 66586 utils optional initramfs-tools_0.92f.tar.gz
 080e14eb933888e4a1a29a6773be64b8 73516 utils optional initramfs-tools_0.92f_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkihWawACgkQeW7Lc5tEHqg5HACfbhqfgAISZsdwIxE23k4mnMx8
HoMAoLCBUiIUN33d46NjLmvZchhLgr8B
=ExM5
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 16 Sep 2008 07:32:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:32:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.